"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d013f70>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d019040>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d0190d0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d019160>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d0191f0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d019280>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d019310>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d0193a0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d019430>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d0194c0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d019550>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d0195e0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d019670>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d019700>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d019790>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d019820>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d0198b0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d019940>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d0199d0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d019a60>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d019af0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d019b80>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d019c10>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d019ca0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d019dc0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d019d30>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d019e50>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d019ee0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d019f70>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d01d040>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d01d0d0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d01d160>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d01d1f0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d01d280>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d01d310>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d01d3a0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d01d430>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d01d4c0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d01d550>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d01d5e0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d01d670>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d01d700>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d01d790>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d01d820>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d01d8b0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d01d940>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d01d9d0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d01da60>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d01daf0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d01db80>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d01dc10>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d01dca0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d01dd30>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d01ddc0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d01de50>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d01dee0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d01df70>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d021040>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d0210d0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d021160>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d0211f0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d021280>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d021310>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d0213a0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d021430>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d0215e0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d0214c0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d021670>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d021700>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d021790>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d021820>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d0218b0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d0219d0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d021940>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d021a60>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d021af0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d021b80>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d021ca0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d021c10>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d021d30>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d021dc0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d021e50>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d021ee0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d021f70>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff8d025040>)]
name: str = 'fr_HOCCN'
